<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="numberToDisplay"/>
<div class="miniCart panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="cart.headline" bundle="/order"/></h3>
	</div>
	<div class="list-group">
		<c:if var="cartEmpty" test="${empty user.order || user.order.quantity == 0}">
			<p id="miniCartEmpty" class="list-group-item"><bean:message key="cart.empty" bundle="/order"/></p>
		</c:if>
		<c:if test="${not cartEmpty}">
			<c:set var="order" value="${user.order}"/>
			<c:forEach var="orderDelivery" items="${order.orderDeliveryCollection}" begin="0" end="1">
				<bean:size id="numberOfItems" name="orderDelivery" property="orderItemCollection"/>
				<c:forEach var="item" items="${orderDelivery.orderItemCollection}" begin="0" end="${numberToDisplay}">
					<div class="list-group-item clearfix">
						<c:if test="${!empty item.image}">
							<c:set var="imageURL" value="${item.image}"/>
							<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
								<img src="${item.image}" title="${item.name}" alt="${item.name}" class="pull-left img-responsive">
							<% } %>
						</c:if>
						<p class="name">
							<c:set var="productLinkCode" value="${item.code}"/><c:if test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}"><c:set var="productLinkCode" value="${item.seoCode}"/></c:if>
							<ssc:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
								<c:out value="${item.name}" escapeXml="false"/>
							</ssc:link>
						</p>
						<p class="quantity">
							<strong><bean:message key="product.quantity" bundle="/product"/>:</strong>
							${item.quantity}
						</p>
						<p class="total">
							<strong><bean:message key="cart.priceLabel" bundle="/order"/>:</strong>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}"/>
						</p>
					</div>
				</c:forEach>
			</c:forEach>
			<p class="subtotal list-group-item">
				<strong><bean:message key="cart.subtotalLabel" bundle="/order"/>:</strong>
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
					${order.subtotal}
				</fmt:formatNumber>
			</p>
			<p class="links list-group-item">
				<ssc:link href="${customerURL}/Cart.do" styleClass="miniCartDetails btn btn-default btn-sm">
					<bean:message key="cart.cartDetails" bundle="/order"/>&nbsp;
					<span class="glyphicon glyphicon-shopping-cart"></span>
				</ssc:link>
				<ssc:link href="${secureURL}/Checkout.do" styleClass="miniCartCheckout btn btn-default btn-sm">
					<bean:message key="navBar.checkout" />&nbsp;
					<span title="<bean:message key="navBar.checkout" />" class="glyphicon glyphicon-check"></span>
				</ssc:link>
			</p>
		</c:if>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
