<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	if (request.getAttribute("cartDiscountProcessor") == null) {
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
%>
<ssc:insert page="/WEB-INF/layouts/default-html5/product/inventoryDiscountSettings.jsp"/>

<%-- Product header --%>
<c:if test="${!empty product.header}">
	<span class="productHeader">
		<c:out value="${product.header}" escapeXml="false"/>
	</span>
</c:if>
<section id="product-${product.code}" class="product">
	<div class="productLeft col-sm-8">
		<div class="row">
			<div class="col-sm-8 col-sm-push-4">

				<%-- Product name --%>
				<div class="page-header">
					<h1 class="name pageTitle "><c:out value="${product.name}" escapeXml="false"/></h1>
				</div>

				<%-- Product details --%>
				<div id="productDetails">
					<%-- Product code --%>
					<div class="code">
						<span class="itemlabel"><bean:message key="product.code" bundle="/product"/>:</span> ${product.code}
					</div>

					<%-- Product price --%>
					<c:if test="${!empty product.unitPrice and product.unitPrice gt 0}">
						<div class="price">
							<span class="itemlabel"><bean:message key="product.unitPrice" bundle="/product"/>:</span>
							<c:choose>
								<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
									<del>
										<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
									</del>
									&nbsp;
									<span class="productSalePrice">
										<c:choose>
											<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
												<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
												&nbsp;<bean:message key="product.discountItemsForFree" bundle="/product"/>
											</c:when>
											<c:otherwise>
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
											</c:otherwise>
										</c:choose>
									</span>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
								</c:otherwise>
							</c:choose>
						</div>
					</c:if>

					<%-- Product alt price --%>
					<c:if test="${!empty product.altPrice and product.altPrice gt 0}">
						<div class="altPrice">
							<span class="itemlabel"><bean:message key="product.altPrice" bundle="/product"/>:</span>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.altPrice}"/>
						</div>
					</c:if>

					<%-- Product discount --%>
					<c:if test="${displayProductDiscount}">
						<div class="discount">
							<span class="itemlabel"><bean:message key="product.discount" bundle="/product"/>:</span>
							<c:choose>
								<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
									<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
									&nbsp;<bean:message key="product.discountItemsForFree" bundle="/product"/>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
									&nbsp;<bean:message key="product.discountAmountOff" bundle="/product"/>
								</c:otherwise>
							</c:choose>

							<%-- Display the discount's expiration date--%>
							<c:if test="${!empty productDiscountExpirationDate}">
								<fmt:parseDate value="${productDiscountExpirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
								<%
									java.util.Date now = new java.util.Date();
									java.util.Date expDate = (java.util.Date) pageContext.getAttribute("parsed");
									pageContext.setAttribute("daysLeft", Long.toString((expDate.getTime() - now.getTime()) / 86400000));
									pageContext.setAttribute("hoursLeft", Long.toString(((expDate.getTime() - now.getTime()) % 86400000) / 3600000));
									pageContext.setAttribute("minutesLeft", Long.toString((((expDate.getTime() - now.getTime()) % 86400000) % 3600000) / 60000));
								%>
								<c:if var="displayComma" test="${false}"/>
								&#8212; <bean:message key="product.expiresIn" bundle="/product"/>&nbsp;
								<c:if test="${daysLeft > 0}"><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${daysLeft}"/> <c:choose><c:when test="${daysLeft > 1}">&nbsp;<bean:message key="product.days" bundle="/product"/></c:when><c:otherwise>&nbsp;<bean:message key="product.day" bundle="/product"/></c:otherwise></c:choose></c:if><c:if test="${hoursLeft > 0}"><c:if test="${displayComma}">,&nbsp;</c:if><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${hoursLeft}"/><c:choose><c:when test="${hoursLeft > 1}">&nbsp;<bean:message key="product.hours" bundle="/product"/></c:when><c:otherwise>&nbsp;<bean:message key="product.hour" bundle="/product"/></c:otherwise></c:choose></c:if><c:if test="${minutesLeft > 0}"><c:if test="${displayComma}">,&nbsp;</c:if><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${minutesLeft}"/> <c:choose><c:when test="${minutesLeft > 1}">&nbsp;<bean:message key="product.minutes" bundle="/product"/></c:when><c:otherwise>&nbsp;<bean:message key="product.minute" bundle="/product"/></c:otherwise></c:choose></c:if>
							</c:if>
						</div>
					</c:if>
					
					<%-- Product inventory --%>
					<c:if test="${trackProduct}">
						<div class="inventory">
							<span class="itemlabel"><bean:message key="product.inventoryLevel" bundle="/product"/>:</span>
							${product.skuMap[prodSkuKey].inventoryLevel}
						</div>
						<c:if test="${!empty product.skuMap[prodSkuKey].skuMessage}">
							<div class="inventoryMessage">
								${product.skuMap[prodSkuKey].skuMessage}
							</div>
						</c:if>
					</c:if>

					<%-- Average customer review --%>
					<c:if test="${countApprovedReviews > 0 and settings.map.enableProductReviews eq '1'}">
						<div class="productReviewStars">
							<span class="starImages">
								<c:forEach var="i" begin="1" end="${wholeStars}" step="1">
									<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
								</c:forEach>
								<c:if test="${halfStars > 0}">
									<img src="${pageContext.request.contextPath}/images/reviewHalfStar.png" alt="half-star"/>
								</c:if>
							</span>
							(<a href="#reviews" data-toggle="collapse" data-target="#productInfo-productReviews">${countApprovedReviews}&nbsp;<c:choose><c:when test="${countApprovedReviews == 1}"><bean:message key="product.productReviewLower" bundle="/product"/></c:when><c:otherwise><bean:message key="product.productReviewsLower" bundle="/product"/></c:otherwise></c:choose></a>)
						</div>
					</c:if>

					<%-- View more in primary category --%>
					<c:if test="${!empty product.primaryCategory and product.primaryCategory.isActive}">
						<div class="viewMore">
							<bean:message key="product.viewMore" bundle="/product"/>
							<c:set var="linkAction" value="Category.do"/>
							<c:if test="${product.primaryCategory.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
							&nbsp;
							<ssc:link href="${customerURL}/${linkAction}?code=${product.primaryCategory.code}" >
								<c:out value="${product.primaryCategory.name}" escapeXml="false"/>
							</ssc:link>
						</div>
					</c:if>

					<%-- View more from manufacturer --%>
					<c:if test="${!empty product.manufacturer}">
						<div class="viewMore">
							<bean:message key="product.viewMoreFrom" bundle="/product"/>
							&nbsp;
							<ssc:link href="${customerURL}/Manufacturer.do?code=${product.manufacturer.code}" >
								<c:out value="${product.manufacturer.name}" escapeXml="false"/>
							</ssc:link>
						</div>
					</c:if>
				</div>
			</div>
			<div class="col-sm-4 col-sm-pull-8">

				<%-- Product image --%>
				<c:if test="${!empty product.mediumImage}">
					<div class="image">
						<c:choose>
							<c:when test="${!empty product.largeImage}">
								<a href="${product.largeImage}" data-lightbox="${product.code}" title="${product.name}">
									<img class="img-thumbnail" src="${product.mediumImage}"<c:if test="${!empty product.name}"> title="${product.name}" alt="${product.name}"</c:if>>
								</a>
							</c:when>
							<c:otherwise>
								<img class="img-thumbnail" src="${product.mediumImage}"<c:if test="${!empty product.name}"> title="${product.name}" alt="${product.name}"</c:if>>
							</c:otherwise>
						</c:choose>

						<%-- Additional images --%>
						<c:if test="${!empty productSettings and requestScope.displayAdditionalImages}">
							<div id="additionalImages">
								<ssc:insert page="/WEB-INF/layouts/default-html5/product/additionalImages.jsp"/>
							</div>
						</c:if>
					</div>
				</c:if>
			</div>
		</div>
		<br>
	</div>
	<div class="productRight col-sm-4 col-xs-12 pull-right">

		<%-- Attributes, options, and the add to cart form. --%>
		<div id="addToCartPanel" class="addToCartPanel panel panel-default">
  			<div class="panel-body">
				<form action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartAdd.do")%>" method="post">
					<c:if var="displayMatrix" scope="request" test="${!empty requestScope.matrix and productSettings.displayAsMatrix.value eq 1}"/>
					<ssc:insert page="/WEB-INF/layouts/default-html5/product/attributesAndOptions.jsp"/>
					<br>
					<%-- Attribute matrix and add to cart button. --%>
					<c:if test="${displayMatrix}">
						<div id="attributeMatrix">
							<span class="itemlabel"><bean:message key="product.selectItems" bundle="/product"/></span>
							<br>
							<ssc:insert page="/WEB-INF/layouts/default-html5/product/attributesAndOptionsMatrix.jsp"/>
							<br>
							<c:if test="${! denyPurchase}">
								<span id="addToCartButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-primary" value="<bean:message key="product.addToCart" bundle="/product"/>" /></span>
							</c:if>
						</div>
						<br>
					</c:if>
					<%-- Add to cart button and quantity input for non-matrix products. --%>
					<c:if test="${! denyPurchase and !displayMatrix}">
						<div id="quantity">
							<input type="hidden" name="orderProductCodes" value="${product.code}"/>
							<label for="orderProductQuantities" class="itemlabel"><bean:message key="product.quantity" bundle="/product"/>:</label>
							<c:set var="quantityValue" value="1"/>
							<c:if test="${!empty cartAddForm and !empty cartAddForm.orderProductQuantities and !empty cartAddForm.orderProductQuantities[0]}">
								<c:set var="quantityValue" value="${cartAddForm.orderProductQuantities[0]}"/>
							</c:if>
							<input type="number" id="orderProductQuantities" name="orderProductQuantities" class="quantity form-control" value="${quantityValue}"/>
						</div>
						<br>
						<div id="addToCart" class="buttonWrap">
							<button type="submit" name="submit" class="btn btn-primary btn-block"><span class="glyphicon glyphicon-shopping-cart"></span> <bean:message key="product.addToCart" bundle="/product"/></button>
						</div>
					</c:if>
				</form>
			</div>
		</div>
		
		<%-- Wish List --%>
		<c:if test="${settings.map.allowCustomerWishLists eq 1}">
			<c:if test="${empty product.productSettings.allowCustomerWishLists.value or product.productSettings.allowCustomerWishLists.value ne 0}">
				<div id="wishList" class="addToWishListPanel panel panel-default">
		  			<div class="panel-body text-center">
						<ssc:insert page="/WEB-INF/layouts/default-html5/product/wishListProductAddForm.jsp"/>
					</div>
				</div>
			</c:if>
		</c:if>
	</div>
	<div class="productLeft col-sm-8">
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/productInfo.jsp"/>
	</div>
</section>

<%-- Product footer --%>
<c:if test="${!empty product.footer}">
	<span class="productFooter">
		<c:out value="${product.footer}" escapeXml="false"/>
	</span>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
