<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.customer.CustomerWishList,com.softslate.commerce.businessobjects.customer.CustomerWishListProcessor" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<bean:size id="numberOfWishLists" name="customerWishLists"/>
<%
	BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
	CustomerWishListProcessor customerWishListProcessor = (CustomerWishListProcessor) bof.createObject(
			"customerWishListProcessorImplementer");
%>
<div id="wishList" class="wishList">
	<%-- Title and Links to more --%>
	<div class="page-header">
		<h1 class="wishListTitle">
			<c:choose>
				<c:when test="${!empty customerWishList.customer.firstName}">
					<bean:message key="wishList.titlePhrase" bundle="/customer" />&nbsp;
					${customerWishList.customer.firstName}&nbsp;
					<c:if test="${!empty customerWishList.customer.lastName}"> ${customerWishList.customer.lastName}</c:if>
				</c:when>
				<c:otherwise>
					<bean:message key="wishList.yourFriendsWishList" bundle="/customer" />
				</c:otherwise>
			</c:choose>
		</h1>
	</div>
	<%-- More Wish Lists --%>
	<c:if test="${numberOfWishLists gt 1}">
		<bean:message key="wishList.changeWishListLabel" bundle="/customer" />
		<form name="wishListChooseForm" class="wishListChooseForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/WishList.do")%>">
			<select name="wishID">
				<logic:iterate name="customerWishLists" id="cwl" indexId="i">
					<%
						CustomerWishList customerWishList = (CustomerWishList) pageContext.getAttribute("cwl");
						String check = customerWishListProcessor.computeCheck(customerWishList);
						pageContext.setAttribute("check", check);
					%>
					<option value="${cwl.customerWishListID}_${check}" <c:if test="${cwl.customerWishListID == customerWishList.customerWishListID}">selected="selected"</c:if>>${cwl.name}</option>
				</logic:iterate>
			</select>
			<input type="submit" name="submit" class="btn btn-primary" value="<bean:message key="wishList.changeWishListButton" bundle="/customer"/>"/>
		</form>
		<hr/>
	</c:if>
	<%-- Wish List Name --%>
	<h1 class="name"><c:out value="${customerWishList.name}" escapeXml="true"/></h1>
	<%-- Wish List Description --%>
	<c:if test="${!empty customerWishList.description}">
		<p class="description"><c:out value="${customerWishList.description}" escapeXml="true"/></p>
	</c:if>
	<%--Products--%>
	<%
	CustomerWishList customerWishList = (CustomerWishList) request.getAttribute("customerWishList");
	String check2 = customerWishListProcessor.computeCheck(customerWishList);
	pageContext.setAttribute("check2", check2);
	%>
	<c:set var="linkBase" scope="request" value="/WishList.do?wishID=${customerWishList.customerWishListID}_${check2}&"/>
	<c:set var="itemCount" value="${customerWishList.itemCount}" scope="request"/>
	<c:set var="itemsPerPage" value="${customerWishList.itemsPerPage}" scope="request"/>
	<c:set var="firstRow" value="${customerWishList.firstRow}" scope="request"/>
	<c:set var="listCollection" value="${customerWishList.productListCollection}" scope="request"/>

	<c:if test="${empty itemCount or itemCount lt 1}">
		<div id="wishListEmpty"><bean:message key="wishList.wishListEmpty" bundle="/customer" /></div>
	</c:if>

	<c:if test="${itemCount > 0}">
		<div class="prodListControls">

			<%--Item count--%>
			<div class="productListItemCount">
				${itemCount}&nbsp;<bean:message key="wishList.itemsPhrase" bundle="/customer" /> <span class="genericInstructions"><c:out value="${customerWishList.name}" escapeXml="false"/></span>
			</div>

			<%--Pagination--%>
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/pagination.jsp"/>
		</div>
		
		<%--Products themselves--%>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/productList.jsp"/>

		<%-- Pagination --%>
		<div class="prodListControls col-xs-12">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/pagination.jsp"/>
		</div>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
