<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start accountAddressesLayout.jsp -->
<bean:define id="secureURL" name="settings" property="value(customerSecureURL)"/>
<bean:define id="customerURL" name="settings" property="value(customerURL)"/>
<c:set var="showBillingSection" value="${fn:length(fn:trim(settings.map.billingPrompt)) > 0}"/>
<c:choose>
	<c:when test="${settings.map.allowAddressBook eq '1'}">
		<%-- Billing Form Area --%>
		<c:if test="${showBillingSection}">
			<fieldset id="billingAddressFields" class="sideBySide">
				<legend><bean:message key="addressBook.accountBillingHeadline" bundle="/customer"/></legend>
				<div id="addressBookBillingDisplay">&nbsp;</div>
				<div id="addressBookBillingAddForm">
					<form id="addressesForm" name="addressesForm" class="centeredForm">	
						<%--Cross-site request forgery token--%>
						<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
						<input type="hidden" name="isBilling" value="true"/>
						<input type="hidden" name="type" value="billing"/>
						<hr class="formSeparator" />
						<tiles:insert attribute="billingFormGuts"/>
						<div id="accountAddressesBillingButton" class="accountButtonContainer">
							<input id="addressesFormBillingButton" type="submit" class="button" value="<bean:message key="addressBook.addButton" bundle="/customer"/>"/>
						</div>
					</form>
				</div>
			</fieldset>
		</c:if>
		<%-- Multiple Shipping Addresses Area --%>
		<fieldset id="deliveryAddressFields" class="<c:out value="${shipAddressClass}"/>">
			<legend><bean:message key="addressBook.accountDeliveryHeadline" bundle="/customer"/></legend>
			<div id="addressBookDisplay">&nbsp;</div>
			<div id="addressBookAddForm">
				<form id="shippingAddressesForm" name="shippingAddressesForm" class="centeredForm">
					<%--Cross-site request forgery token--%>
					<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
					<input type="hidden" name="type" value="delivery"/>
					<hr id="shippingNoCheckBox" class="formSeparator" />
					<tiles:insert attribute="deliveryFormGuts"/>
					<div id="accountAddressesButton" class="accountButtonContainer">
						<input id="addressesFormButton" type="submit" class="button" value="<bean:message key="addressBook.addButton" bundle="/customer"/>"/>
					</div>
				</form>
			</div>
		</fieldset>
		<tiles:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
	</c:when>
	<c:otherwise>
		<%-- Non-address book --%>
		<tiles:insert page="/WEB-INF/layouts/default/customer/addresses.jsp">
			<c:if test="${showBillingSection}">
				<tiles:put name="billingFormGuts" beanName="billingFormGuts"/>
			</c:if>
			<tiles:put name="deliveryFormGuts" beanName="deliveryFormGuts"/>
		</tiles:insert>
	</c:otherwise>
</c:choose>
<!-- End accountAddressesLayout.jsp -->
