<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start category.jsp -->
<div id="category-<c:out value="${currentCategory.code}"/>" class="category facetedSearchBody">
	<%-- Category header --%>
	<c:if test="${!empty currentCategory.header}">
		<span class="categoryHeader">
			<c:out value="${currentCategory.header}" escapeXml="false"/>
		</span>
	</c:if>
	<%-- Category name --%>
	<h1 class="name pageTitle">
		<c:choose>
			<c:when test="${!empty categorySettings.headline.value}"><c:out value="${categorySettings.headline.value}" escapeXml="false"/></c:when>
			<c:otherwise><c:out value="${currentCategory.name}" escapeXml="false"/></c:otherwise>
		</c:choose>
	</h1>
	<%-- Category description --%>
	<c:if test="${!empty currentCategory.description}">
		<p class="description"><c:out value="${currentCategory.description}" escapeXml="false"/></p>
	</c:if>
	<%-- Subcategories --%>
	<c:if test="${empty categoryForm.map.facets}">
		<tiles:insert attribute="subcategories">
			<tiles:put name="subcategories" beanName="currentCategory" beanProperty="subcategoryCollection" />
		</tiles:insert>
	</c:if>
	<%-- Products --%>
	<c:choose>
		<c:when test="${itemCount == 0 and !empty categoryForm.map.facets}">
			<div class="productListItemCount">
				<c:out value="${itemCount}"/>&nbsp;<c:choose><c:when test="${itemCount == 1}"><bean:message key="category.itemPhrase" bundle="/product" /></c:when><c:otherwise><bean:message key="category.itemsPhrase" bundle="/product" /></c:otherwise></c:choose> <c:out value="${currentCategory.name}" escapeXml="false"/>
			</div>
		</c:when>
		<c:when test="${itemCount > 0}">
			<hr class="clearRightSeparator"/>
			<%--Pagination--%>
			<c:set var="topPagination" value="true" scope="request"/>
			<tiles:insert attribute="pagination"/>
			<%--Item count--%>
			<div class="productListItemCount">
				<c:out value="${itemCount}"/>&nbsp;<c:choose><c:when test="${itemCount == 1}"><bean:message key="category.itemPhrase" bundle="/product" /></c:when><c:otherwise><bean:message key="category.itemsPhrase" bundle="/product" /></c:otherwise></c:choose> <c:out value="${currentCategory.name}" escapeXml="false"/>
			</div>
			<%--Sort By links--%>
			<c:if test="${requestScope.advancedSearch eq 'true' and settings.map.advancedSearchPriceSort eq '1'}">
				<tiles:insert attribute="sortByLinks"/>
			</c:if>
			<%--Facets listed--%>
			<c:if test="${requestScope.advancedSearch eq 'true' and !empty searchList.facets}">
				<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchSelections.jsp"/>
			</c:if>
			<hr class="productListSeparator"/>
			<%--Products themselves--%>
			<c:choose>
				<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
					<tiles:insert attribute="productListRows"/>
				</c:when>
				<c:otherwise>
					<tiles:insert attribute="productList"/>
				</c:otherwise>
			</c:choose>
			<%-- Pagination --%>
			<c:set var="topPagination" value="false" scope="request"/>
			<tiles:insert attribute="pagination"/>
		</c:when>
	</c:choose>
	<%-- Category footer --%>
	<c:if test="${!empty currentCategory.footer}">
		<span class="categoryFooter">
			<c:out value="${currentCategory.footer}" escapeXml="false"/>
		</span>
	</c:if>
</div>
<!-- End category.jsp -->
