package com.softslate.commerce.administrator.core;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

import net.sf.navigator.menu.RolesPermissionsAdapter;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Wraps each incoming Administrator request with an instance of
 * <code>AdministratorRequestWrapper</code>, which implements
 * <code>isUserInRole()</code> and <code>getRemoteUser()</code> so
 * role-based permissions can be employed.
 * 
 * @author David Tobey
 */
public final class AdministratorFilter implements Filter {
    static Log log = LogFactory.getLog(AdministratorFilter.class);

    public void init(FilterConfig filterConfig) throws ServletException {
    }

    public void destroy() {
    }

    public void doFilter(ServletRequest request, ServletResponse response,
            FilterChain chain) throws IOException, ServletException {
        try {
            request = new AdministratorRequestWrapper(
                    (HttpServletRequest) request);
            request.setAttribute("administratorRolesAdapter",
                    new RolesPermissionsAdapter((HttpServletRequest) request));
        } catch (ClassCastException cce) {
        }
        chain.doFilter(request, response);
    }
}
