package com.softslate.commerce.administrator.customer;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.customer.Customer;

/**
 * Struts form class corresponding to requests to "/administrator/Customer.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscCustomer</code> table.
 * 
 * @author David Tobey
 * 
 */
public class CustomerForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3257572801865986610L;

	static Log log = LogFactory.getLog(CustomerForm.class);

	private String idField = "customerID";

	private String nameField = "userName";

	private String childName = "Addresses";

	private String entityProperty = "customer";

	private Class entity = Customer.class;

	private String[] searchableIntFields = { "customerID" };

	private String[] searchableFields = { "userName", "created", "lastLogin",
			"autoLoginToken", "status", "firstName", "lastName",
			"organization", "address1", "address2", "city", "state",
			"postalCode", "country", "phone1", "phone2", "email1", "email2",
 "extra1", "extra2", "extra3", "extra4", "extra5", "cimProfileID",
			"passwordToken" };

	private String[] fields = { "customerID", "userName", "password",
			"created", "lastLogin", "autoLoginToken", "status", "firstName",
			"lastName", "organization", "address1", "address2", "city",
			"state", "postalCode", "country", "phone1", "phone2", "email1",
			"email2", "extra1", "extra2", "extra3", "extra4", "extra5",
			"notes", "cimProfileID", "passwordToken", "passwordTokenDate", "canUsePO" };

	private String[] fieldLables = { "Customer ID", "User Name", "Password",
			"Created", "Last Login", "Login Token", "Status", "First Name",
			"Last Name", "Organization", "Address 1", "Address 2", "City",
			"State", "Postal Code", "Country", "Phone 1", "Phone 2", "Email 1",
			"Email 2", "Extra 1", "Extra 2", "Extra 3", "Extra 4", "Extra 5",
 "Notes", "CIM Profile ID", "PW Token", "PW Token Date", "Can Use PO?" };

	private String[] displayFields = { "userName", "status", "firstName",
			"lastName" };

	private String sortByString = "lastLogin";

	private String[] cantSortByFields = { "notes" };

	private String formAction = "/Customer.do";

	private String addFormAction = "/CustomerAddForm.do";

	private String editFormAction = "/CustomerEditForm.do";

	private String editDeleteFormAction = "/CustomerEditDelete.do";

	private String childEditAction = "/CustomerAddress.do";

	private String[] customerID = null;

	private String[] userName = null;

	private String[] password = null;

	private String[] created = null;

	private String[] lastLogin = null;

	private String[] autoLoginToken = null;

	private String[] status = null;

	private String[] firstName = null;

	private String[] lastName = null;

	private String[] organization = null;

	private String[] address1 = null;

	private String[] address2 = null;

	private String[] city = null;

	private String[] state = null;

	private String[] postalCode = null;

	private String[] country = null;

	private String[] phone1 = null;

	private String[] phone2 = null;

	private String[] email1 = null;

	private String[] email2 = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] extra4 = null;

	private String[] extra5 = null;

	private String[] notes = null;

	private String[] cimProfileID = null;

	private String[] canUsePO = null;

	private String[] passwordToken = null;

	private String[] passwordTokenDate = null;

	public String[] getAddress1() {
		return address1;
	}

	public void setAddress1(String[] address1) {
		this.address1 = address1;
	}

	public String[] getAddress2() {
		return address2;
	}

	public void setAddress2(String[] address2) {
		this.address2 = address2;
	}

	public String[] getCity() {
		return city;
	}

	public void setCity(String[] city) {
		this.city = city;
	}

	public String[] getCountry() {
		return country;
	}

	public void setCountry(String[] country) {
		this.country = country;
	}

	public String[] getCreated() {
		return created;
	}

	public void setCreated(String[] created) {
		this.created = created;
	}

	public String[] getEmail1() {
		return email1;
	}

	public void setEmail1(String[] email1) {
		this.email1 = email1;
	}

	public String[] getEmail2() {
		return email2;
	}

	public void setEmail2(String[] email2) {
		this.email2 = email2;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getExtra4() {
		return extra4;
	}

	public void setExtra4(String[] extra4) {
		this.extra4 = extra4;
	}

	public String[] getExtra5() {
		return extra5;
	}

	public void setExtra5(String[] extra5) {
		this.extra5 = extra5;
	}

	public String[] getFirstName() {
		return firstName;
	}

	public void setFirstName(String[] firstName) {
		this.firstName = firstName;
	}

	public String[] getLastLogin() {
		return lastLogin;
	}

	public void setLastLogin(String[] lastLogin) {
		this.lastLogin = lastLogin;
	}

	public String[] getAutoLoginToken() {
		return autoLoginToken;
	}

	public void setAutoLoginToken(String[] autoLoginToken) {
		this.autoLoginToken = autoLoginToken;
	}

	public String[] getLastName() {
		return lastName;
	}

	public void setLastName(String[] lastName) {
		this.lastName = lastName;
	}

	public String[] getNotes() {
		return notes;
	}

	public void setNotes(String[] notes) {
		this.notes = notes;
	}

	public String[] getOrganization() {
		return organization;
	}

	public void setOrganization(String[] organization) {
		this.organization = organization;
	}

	public String[] getPassword() {
		return password;
	}

	public void setPassword(String[] password) {
		this.password = password;
	}

	public String[] getPhone1() {
		return phone1;
	}

	public void setPhone1(String[] phone1) {
		this.phone1 = phone1;
	}

	public String[] getPhone2() {
		return phone2;
	}

	public void setPhone2(String[] phone2) {
		this.phone2 = phone2;
	}

	public String[] getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String[] postalCode) {
		this.postalCode = postalCode;
	}

	public String[] getState() {
		return state;
	}

	public void setState(String[] state) {
		this.state = state;
	}

	public String[] getStatus() {
		return status;
	}

	public void setStatus(String[] status) {
		this.status = status;
	}

	public String[] getUserName() {
		return userName;
	}

	public void setUserName(String[] userName) {
		this.userName = userName;
	}

	public String[] getCimProfileID() {
		return cimProfileID;
	}

	public void setCimProfileID(String[] cimProfileID) {
		this.cimProfileID = cimProfileID;
	}

	public String[] getCanUsePO() {
		return canUsePO;
	}

	public void setCanUsePO(String[] canUsePO) {
		this.canUsePO = canUsePO;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String[] getCustomerID() {
		return customerID;
	}

	public void setCustomerID(String[] customerID) {
		this.customerID = customerID;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String[] getPasswordToken() {
		return passwordToken;
	}

	public void setPasswordToken(String[] passwordToken) {
		this.passwordToken = passwordToken;
	}

	public String[] getPasswordTokenDate() {
		return passwordTokenDate;
	}

	public void setPasswordTokenDate(String[] passwordTokenDate) {
		this.passwordTokenDate = passwordTokenDate;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getCustomerID() != null) {
			for (int i = 0; i < getCustomerID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("userName")) {
					if (getUserName().length < i + 1
							|| getUserName()[i] == null
							|| getUserName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"User Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("password")
						&& getPassword() != null) {
					if (getPassword().length < i + 1
							|| getPassword()[i] == null
							|| getPassword()[i].equals("")) {
						errors
								.add(ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage("errors.required",
												"Password"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("cimProfileID")
						&& getCimProfileID() != null) {
					if (StringUtils.isNotBlank(getCimProfileID()[i])) {
						try {
							Long.parseLong(getCimProfileID()[i]);
						} catch (Exception ex) {
							errors.add(ActionMessages.GLOBAL_MESSAGE,
									new ActionMessage("errors.required",
											"Valid CIM Profile ID (number)"));
						}
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("canUsePO")) {
					if (getCanUsePO().length < i + 1
							|| getCanUsePO()[i] == null
							|| getCanUsePO()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Can Use PO"));
					}
				}
			}
		}
		return errors;
	}
}
