package com.softslate.commerce.administrator.extender;

import java.util.Properties;

public class Field {

	public Field(String name, String type, Properties appComponents) {
		setName(name);
		setType(type);
		setAppComponents(appComponents);
	}

	private String name = null;
	private String type = null;
	private Properties appComponents = null;
	private String cappedName = null;
	private String cappedNameWithSpaces = null;
	private String cappedNameWithSpacesShortened = null;
	private String cappedPluralNameWithSpaces = null;
	private String mySQLType = null;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Properties getAppComponents() {
		return appComponents;
	}

	public void setAppComponents(Properties appComponents) {
		this.appComponents = appComponents;
	}

	public String getCappedName() {
		if (cappedName == null) {
			cappedName = getName().substring(0, 1).toUpperCase() + getName().substring(1);
		}
		return cappedName;
	}

	public void setCappedName(String cappedName) {
		this.cappedName = cappedName;
	}

	public String getMySQLType() {
		if (mySQLType == null) {
			if (getType().equals("Double")) {
				mySQLType = "DECIMAL(10,4)";
			} else if (getType().equals("Integer")) {
				mySQLType = "INT(11)";
			} else if (getType().equals("Boolean")) {
				mySQLType = "TINYINT(4)";
			} else {
				mySQLType = "VARCHAR(255)";
			}
		}
		return mySQLType;
	}

	public void setMySQLType(String mySQLType) {
		this.mySQLType = mySQLType;
	}

	public String getCappedNameWithSpaces() {
		if (cappedNameWithSpaces == null) {
			cappedNameWithSpaces = Entity.addSpaces(getCappedName());
		}
		return cappedNameWithSpaces;
	}

	public String getCappedNameWithSpacesShortened() {
		if (cappedNameWithSpacesShortened == null) {
			cappedNameWithSpacesShortened = Entity.shorten(getCappedNameWithSpaces());
		}
		return cappedNameWithSpacesShortened;
	}

	public String getCappedPluralNameWithSpaces() {
		if (cappedPluralNameWithSpaces == null) {
			cappedPluralNameWithSpaces = Entity.pluralize(getCappedNameWithSpaces());
		}
		return cappedPluralNameWithSpaces;
	}

}
