package com.softslate.commerce.administrator.importexport;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * Action class corresponding to /ImportUploadForm.do.
 * 
 * @author David Tobey
 * 
 */
public class ImportUploadFormAction extends BaseAction {

	static Log log = LogFactory.getLog(ImportUploadFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ImportForm baseForm = (ImportForm) form;

		String table = baseForm.getTable();
		if (table == null) {
			table = "";
		}

		// Enforce role permissions
		if (!request.isUserInRole("superuser")
				&& !request.isUserInRole("administrator")
				&& !request.isUserInRole("importexportEdit")) {
			request.setAttribute("editPermission", "false");
		} else {
			request.setAttribute("editPermission", "true");
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Import Form " + table });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
