package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.order.OrderDiscountProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/OrderDiscountEdit.do". Processes a request to edit a
 * record within the system.
 * 
 * @author David Tobey
 * 
 */
public class OrderDiscountEditAction extends BaseAction {

	static Log log = LogFactory.getLog(OrderDiscountEditAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		// Edit the record
		OrderDiscountProcessor processor = (OrderDiscountProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"orderDiscountProcessorImplementer");
		processor.editOrderDiscount(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordSaved"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		return mapping.findForward("success");
	}
}
