package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * The form used to take in the parameters for a request to clean out credit
 * card information using the "Card Info Clean Up" screen.
 * 
 * @author David Tobey
 */
public class CardInfoCleanUpForm extends BaseAdministratorForm {

	private static final long serialVersionUID = -5169775873458732217L;

	static Log log = LogFactory.getLog(CardInfoCleanUpForm.class);

	private String olderThanDays = "1";

	private String olderThanHours = "0";

	public String getOlderThanDays() {
		return olderThanDays;
	}

	public void setOlderThanDays(String olderThanDays) {
		this.olderThanDays = olderThanDays;
	}

	public String getOlderThanHours() {
		return olderThanHours;
	}

	public void setOlderThanHours(String olderThanHours) {
		this.olderThanHours = olderThanHours;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getOlderThanDays() == null || getOlderThanDays().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Older Than Days"));
		}
		if (getOlderThanHours() == null || getOlderThanHours().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Older Than Hours"));
		}
		return getErrors();
	}
}
