package com.softslate.commerce.administrator.payment;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.payment.AdminPaymentProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to present the "Card Info Clean
 * Up" form.
 * 
 * @author David Tobey
 * 
 */
public class CardInfoCleanUpFormAction extends BaseAction {

	static Log log = LogFactory.getLog(CardInfoCleanUpFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		CardInfoCleanUpForm baseForm = (CardInfoCleanUpForm) form;
		baseForm.initializeProperties(mapping, request);

		AdminPaymentProcessor processor = (AdminPaymentProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"adminPaymentProcessorImplementer");
		Collection statistics = processor.loadCardInfoStatistics();
		request.setAttribute("statistics", statistics);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Card Info Clean Up" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
