package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Attribute;

/**
 * Struts form class corresponding to requests to "/administrator/Attribute.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscAttribute</code> table.
 * 
 * @author David Tobey
 * 
 */
public class AttributeForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3256439196787947314L;

	static Log log = LogFactory.getLog(AttributeForm.class);

	private String idField = "attributeID";

	private String nameField = "attributeCode";

	private String childName = "Options";

	private boolean m2mChild = false;

	private String parentIDField = "productID";

	private String entityProperty = "attribute";

	private Class entity = Attribute.class;

	private String[] fields = { "attributeID", "attributeCode",
			"attributeName", "attributeDescription", "attributeIsActive",
			"attributeType", "attributeUnitCost", "attributeUnitPrice",
			"attributeAltPrice", "attributeWeight", "attributeSmallImage",
			"attributeLargeImage", "defaultOptionID", "attributeIsRequired",
			"attributeOrder" };

	private String[] fieldLables = { "Attribute ID", "Code", "Name",
			"Description", "Active", "Type", "Cost", "Price", "Alt Price",
			"Weight", "Small Image", "Large Image", "Def Option ID",
			"Required", "Order" };

	private String[] displayFields = { "attributeCode", "attributeName",
			"attributeIsActive", "attributeType", "attributeIsRequired",
			"attributeOrder" };

	private String[] searchableIntFields = { "attributeID" };

	private String[] searchableFields = { "attributeCode", "attributeName",
			"attributeType" };

	private String sortByString = "attributeOrder,attributeCode";

	private String[] cantSortByFields = { "attributeDescription",
			"productAttributeOrder" };

	private String sortAscOrDesc = "ASC";

	private String formAction = "/Attribute.do";

	private String addFormAction = "/AttributeAddForm.do";

	private String editFormAction = "/AttributeEditForm.do";

	private String editDeleteFormAction = "/AttributeEditDelete.do";

	private String childEditAction = "/Option.do";

	private String productID = "";

	private String[] attributeID = null;

	private String[] attributeCode = null;

	private String[] attributeName = null;

	private String[] attributeDescription = null;

	private String[] attributeIsActive = null;

	private String[] attributeType = null;

	private String[] attributeUnitCost = null;

	private String[] attributeUnitPrice = null;

	private String[] attributeAltPrice = null;

	private String[] attributeWeight = null;

	private String[] attributeSmallImage = null;

	private String[] attributeLargeImage = null;

	private String[] defaultOptionID = null;

	private String[] attributeIsRequired = null;

	private String[] attributeOrder = null;

	private String[] productAttributeOrder = null;

	public String[] getAttributeAltPrice() {
		return attributeAltPrice;
	}

	public void setAttributeAltPrice(String[] attributeAltPrice) {
		this.attributeAltPrice = attributeAltPrice;
	}

	public String[] getAttributeCode() {
		return attributeCode;
	}

	public void setAttributeCode(String[] attributeCode) {
		this.attributeCode = attributeCode;
	}

	public String[] getAttributeDescription() {
		return attributeDescription;
	}

	public void setAttributeDescription(String[] attributeDescription) {
		this.attributeDescription = attributeDescription;
	}

	public String[] getAttributeIsActive() {
		return attributeIsActive;
	}

	public void setAttributeIsActive(String[] attributeIsActive) {
		this.attributeIsActive = attributeIsActive;
	}

	public String[] getAttributeIsRequired() {
		return attributeIsRequired;
	}

	public void setAttributeIsRequired(String[] attributeIsRequired) {
		this.attributeIsRequired = attributeIsRequired;
	}

	public String[] getAttributeLargeImage() {
		return attributeLargeImage;
	}

	public void setAttributeLargeImage(String[] attributeLargeImage) {
		this.attributeLargeImage = attributeLargeImage;
	}

	public String[] getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String[] attributeName) {
		this.attributeName = attributeName;
	}

	public String[] getAttributeOrder() {
		return attributeOrder;
	}

	public void setAttributeOrder(String[] attributeOrder) {
		this.attributeOrder = attributeOrder;
	}

	public String[] getAttributeSmallImage() {
		return attributeSmallImage;
	}

	public void setAttributeSmallImage(String[] attributeSmallImage) {
		this.attributeSmallImage = attributeSmallImage;
	}

	public String[] getAttributeType() {
		return attributeType;
	}

	public void setAttributeType(String[] attributeType) {
		this.attributeType = attributeType;
	}

	public String[] getAttributeUnitCost() {
		return attributeUnitCost;
	}

	public void setAttributeUnitCost(String[] attributeUnitCost) {
		this.attributeUnitCost = attributeUnitCost;
	}

	public String[] getAttributeUnitPrice() {
		return attributeUnitPrice;
	}

	public void setAttributeUnitPrice(String[] attributeUnitPrice) {
		this.attributeUnitPrice = attributeUnitPrice;
	}

	public String[] getAttributeWeight() {
		return attributeWeight;
	}

	public void setAttributeWeight(String[] attributeWeight) {
		this.attributeWeight = attributeWeight;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getDefaultOptionID() {
		return defaultOptionID;
	}

	public void setDefaultOptionID(String[] defaultOptionID) {
		this.defaultOptionID = defaultOptionID;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String[] getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String[] attributeID) {
		this.attributeID = attributeID;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public boolean isM2mChild() {
		return m2mChild;
	}

	public void setM2mChild(boolean child) {
		m2mChild = child;
	}

	public String[] getProductAttributeOrder() {
		return productAttributeOrder;
	}

	public void setProductAttributeOrder(String[] productAttributeOrder) {
		this.productAttributeOrder = productAttributeOrder;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getAttributeID() != null) {
			for (int i = 0; i < getAttributeID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("attributeCode")) {
					if (getAttributeCode().length < i + 1
							|| getAttributeCode()[i] == null
							|| getAttributeCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getAttributeCode()[i],
							request) != null) {
						errors
								.add(
										ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage(
												"errors.unsafeCharacter",
												"The code "
														+ getAttributeCode()[i],
												containsUnsafeCharacter(
														getAttributeCode()[i],
														request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("attributeName")) {
					if (getAttributeName().length < i + 1
							|| getAttributeName()[i] == null
							|| getAttributeName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains(
						"attributeIsActive")) {
					if (getAttributeIsActive().length < i + 1
							|| getAttributeIsActive()[i] == null
							|| getAttributeIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains(
						"attributeIsRequired")) {
					if (getAttributeIsRequired().length < i + 1
							|| getAttributeIsRequired()[i] == null
							|| getAttributeIsRequired()[i].equals("")) {
						errors
								.add(ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage("errors.required",
												"Required"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("attributeType")) {
					if (getAttributeType().length < i + 1
							|| getAttributeType()[i] == null
							|| getAttributeType()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Type"));
					}
				}
				if (Arrays.asList(getDisplayFields())
						.contains("attributeOrder")) {
					if (getAttributeOrder().length < i + 1
							|| getAttributeOrder()[i] == null
							|| getAttributeOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Order"));
					}
				}
			}
		}
		return errors;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
		if (getParentIDField() != null
				&& getParentIDField().equals("productID")) {
			setParentKey("productImplementer");
			setManyToManyKey("productAttributeImplementer");
			setManyToManyProp("productAttributes");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.ProductAttribute");
			setParentProperty("product");
		}

		// Add the productAttributeOrder fields
		if (getParentIDField() != null
				&& getParentIDField().equals("productID")
				&& getProductID() != null && getProductID().length() > 0) {
			setFields(arrayAppend(getFields(), "productAttributeOrder"));
			setFieldLables(arrayAppend(getFieldLables(), "Order w/in Prod"));
		} else {
			setFields(arrayRemove(getFields(), "productAttributeOrder"));
			setFieldLables(arrayRemove(getFieldLables(), "Order w/in Prod"));
		}
	}
}
