package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Category;

/**
 * Struts form class corresponding to requests to "/administrator/Category.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscCategory</code> table.
 * 
 * @author David Tobey
 * 
 */
public class CategoryForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3977577017741161268L;

	static Log log = LogFactory.getLog(CategoryForm.class);

	private String idField = "categoryID";

	private String nameField = "code";

	private String childName = "Details";

	private boolean m2mChild = true;

	private String parentIDField = "productID";

	private String entityProperty = "category";

	private Class entity = Category.class;

	private String[] fields = { "categoryID", "code", "name", "keywords",
			"description", "isActive", "isContentPage", "categoryTreeID",
			"header", "footer", "smallImage", "mediumImage", "largeImage",
			"extra1", "extra2", "extra3", "parentCategory", "categoryOrder" };

	private String[] fieldLables = { "Category ID", "Code", "Name", "Keywords",
			"Description", "Active", "Content Page?", "Tree", "Header",
			"Footer", "Small Image", "Med Image", "Large Image", "Extra 1",
			"Extra 2", "Extra 3", "Parent", "Order" };

	private String[] displayFields = { "code", "name", "isActive",
			"categoryTreeID", "parentCategory", "categoryOrder" };

	private String[] searchableIntFields = { "categoryID" };

	private String[] searchableFields = { "code", "name", "keywords", "extra1",
			"extra2", "extra3" };

	private String sortByString = "parentCategory";

	private String sortAscOrDesc = "ASC";

	private String[] cantSortByFields = { "description", "header", "footer" };

	private String formAction = "/Category.do";

	private String addFormAction = "/CategoryAddForm.do";

	private String editFormAction = "/CategoryOverview.do";

	private String editDeleteFormAction = "/CategoryEditDelete.do";

	private String childEditAction = "/CategoryEditForm.do";

	private String productID = "";

	private String[] categoryID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] keywords = null;

	private String[] description = null;

	private String[] isActive = null;

	private String[] categoryTreeID = null;

	private String[] header = null;

	private String[] footer = null;

	private String[] smallImage = null;

	private String[] mediumImage = null;

	private String[] largeImage = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] parentCategory = null;

	private String[] categoryOrder = null;

	private String[] isContentPage = null;

	private String workWithCategories = "Categories";

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public boolean isM2mChild() {
		return m2mChild;
	}

	public void setM2mChild(boolean child) {
		m2mChild = child;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getCategoryOrder() {
		return categoryOrder;
	}

	public void setCategoryOrder(String[] categoryOrder) {
		this.categoryOrder = categoryOrder;
	}

	public String[] getCategoryTreeID() {
		return categoryTreeID;
	}

	public void setCategoryTreeID(String[] categoryTreeID) {
		this.categoryTreeID = categoryTreeID;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getFooter() {
		return footer;
	}

	public void setFooter(String[] footer) {
		this.footer = footer;
	}

	public String[] getHeader() {
		return header;
	}

	public void setHeader(String[] header) {
		this.header = header;
	}

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public String[] getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String[] largeImage) {
		this.largeImage = largeImage;
	}

	public String[] getMediumImage() {
		return mediumImage;
	}

	public void setMediumImage(String[] mediumImage) {
		this.mediumImage = mediumImage;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getKeywords() {
		return keywords;
	}

	public void setKeywords(String[] keywords) {
		this.keywords = keywords;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getParentCategory() {
		return parentCategory;
	}

	public void setParentCategory(String[] parentCategory) {
		this.parentCategory = parentCategory;
	}

	public String[] getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String[] smallImage) {
		this.smallImage = smallImage;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String[] getCategoryID() {
		return categoryID;
	}

	public void setCategoryID(String[] categoryID) {
		this.categoryID = categoryID;
	}

	public String getWorkWithCategories() {
		return workWithCategories;
	}

	public void setWorkWithCategories(String workWithCategories) {
		this.workWithCategories = workWithCategories;
	}

	public String[] getIsContentPage() {
		return isContentPage;
	}

	public void setIsContentPage(String[] isContentPage) {
		this.isContentPage = isContentPage;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getCategoryID() != null) {
			for (int i = 0; i < getCategoryID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + getCode()[i],
										containsUnsafeCharacter(getCode()[i],
												request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("name")) {
					if (getName().length < i + 1 || getName()[i] == null
							|| getName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isActive")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isContentPage")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Content Page"));
					}
				}
				if (Arrays.asList(getDisplayFields())
						.contains("categoryTreeID")) {
					if (getCategoryTreeID().length < i + 1
							|| getCategoryTreeID()[i] == null
							|| getCategoryTreeID()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Category Tree"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("categoryOrder")) {
					if (getCategoryOrder().length < i + 1
							|| getCategoryOrder()[i] == null
							|| getCategoryOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Order"));
					}
				}
				if (Arrays.asList(getDisplayFields())
						.contains("parentCategory")) {
					if (getParentCategory().length >= i + 1
							&& getParentCategory()[i] != null
							&& !getParentCategory()[i].equals("")
							&& getParentCategory()[i]
									.equals(getCategoryID()[i])) {
						errors
								.add(
										ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage(
												"errors.detail",
												"Categories may not be parents of themselves. Please review the parent categories."));
					}
				}
			}
		}
		return errors;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
		if (getParentIDField() != null
				&& getParentIDField().equals("productID")) {
			setParentKey("productImplementer");
			setManyToManyKey("productCategoryImplementer");
			setManyToManyProp("productCategories");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.ProductCategory");
			setParentProperty("product");
		}
	}
}
