package com.softslate.commerce.businessobjects.shipping;

/**
 * This class is used to store 3rd party shipping quotes returned from web services.
 * For example, when the USPS shipping calculator is enabled, this class stores the
 * choices for shipping (based on the buyer's zip code and item weights) in the
 * buyer's session.  This allows SoftSlate to only query the 3rd party web service
 * once, and keep the results around in between http requests.
 * 
 * @author Justin Casp
 *
 */
public class DynamicShippingOption {

	private String optionId;
	
	private String description;
	
	private Double price;
	
	public DynamicShippingOption(String optionId, String description, Double price) {
		this.optionId = optionId;
		this.description = description;
		this.price = price;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getOptionId() {
		return optionId;
	}

	public void setOptionId(String optionId) {
		this.optionId = optionId;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}
}
