package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for submissions to download a file the current customer has
 * purchased. Used for requests to "/ProcessDownloadAction.do".
 * <p>
 * The <code>validate</code> method of this class checks for the existance of
 * the <code>name</code> and <code>productSettingID</code> properties.
 * 
 * @author David Tobey
 * 
 */
public class DownloadForm extends BaseForm {

	private static final long serialVersionUID = 8257580744088727422L;

	static Log log = LogFactory.getLog(DownloadForm.class);

	private String name = null;

	private String productSettingID = null;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getProductSettingID() {
		return productSettingID;
	}

	public void setProductSettingID(String productSettingID) {
		this.productSettingID = productSettingID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (getName() == null || getName().length() == 0) {
			String message = getMessage("customer", "customer.downloadFile",
					null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (getProductSettingID() == null
				|| getProductSettingID().length() == 0) {
			String message = getMessage("customer", "customer.downloadCheck",
					null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
