package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.ProductSetting;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscProductSetting</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface ProductSettingDAO extends DAOInterface {
	abstract ProductSetting getProductSetting();

	abstract void setProductSetting(ProductSetting productSetting);

	abstract void loadProductSettingFromID() throws Exception;

	abstract void insertProductSetting() throws Exception;

	abstract void insertProductSetting(boolean commit) throws Exception;

	abstract void updateProductSetting() throws Exception;

	abstract void updateProductSetting(boolean commit) throws Exception;

	abstract void deleteProductSetting() throws Exception;

	abstract void deleteProductSetting(boolean commit) throws Exception;
}
