create sequence hibernate_sequence;

create table sscSetting (
	settingID int4 not null default nextval('hibernate_sequence'::text), 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.core.SettingBean', 
	code varchar(100) not null unique, 
	name varchar(255), 
	description text, 
	type varchar(100), 
	valueType varchar(16) not null, 
	integerValue int4, 
	smallValue varchar(64), 
	mediumValue varchar(255), 
	textValue text, 
	primary key (settingID)
);

CREATE TABLE sscRequestLog (
  requestLogID int4 not null,
  orderID int4,
  orderNumber int4,
  customerID int4,
  customerUserName varchar(100),
  administratorID int4,
  administratorUserName varchar(100),
  sessionID varchar(100),
  ipAddress varchar(255),
  userAgent varchar(255),
  servletPath varchar(255),
  requestURL varchar(255),
  requestParameters text,
  referrer varchar(255),
  isAdminRequest bool not null default false,
  created varchar(100),
  searchString VARCHAR(255),
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  primary key (requestLogID)
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_administratorUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);
CREATE INDEX sscRequestLog_searchString ON sscRequestLog (searchString);

