create table sscPayment (
	paymentID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.payment.PaymentBean', 
	orderID int4, 
	status varchar(100), 
	processorClassName varchar(255), 
	valueFieldLabels varchar(255), 
	creditCardName varchar(64), 
	creditCardType varchar(16), 
	creditCardDate varchar(16), 
	creditCardNumber varchar(64), 
	creditCardNumberDisplay varchar(32), 
	value1 varchar(255), 
	value2 varchar(255), 
	value3 varchar(255), 
	value4 varchar(255), 
	value5 varchar(255), 
	value6 varchar(255), 
	value7 varchar(255), 
	value8 varchar(255), 
	value9 text, 
	created varchar(255), 
	amount float8, 
	paymentProfileID varchar(100),
	extra1 varchar(255), 
	extra2 varchar(255), 
	extra3 varchar(255), 
	primary key (paymentID)
);

alter table sscPayment add constraint FK3454C9E6DA8BA36 foreign key (orderID) references sscOrder ON DELETE CASCADE;

CREATE INDEX IDX_sscPayment_creditCardName ON sscPayment (creditCardName);
CREATE INDEX IDX_sscPayment_value1 ON sscPayment (value1);
CREATE INDEX IDX_sscPayment_value2 ON sscPayment (value2);
CREATE INDEX IDX_sscPayment_value3 ON sscPayment (value3);
CREATE INDEX IDX_sscPayment_value4 ON sscPayment (value4);
CREATE INDEX IDX_sscPayment_value5 ON sscPayment (value5);
CREATE INDEX IDX_sscPayment_value6 ON sscPayment (value6);
CREATE INDEX IDX_sscPayment_created ON sscPayment (created);
CREATE INDEX IDX_sscPayment_amount ON sscPayment (amount);
