CREATE TABLE sscCustomerWishList (
  customerWishListID int4 not null,
  customerID int4,
  name varchar(255),
  description varchar(255),
  created varchar(100),
  lastUpdated varchar(100),
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean', 
  primary key (customerWishListID)
);

alter table sscCustomerWishList add constraint FKCWLC foreign key (customerID) references sscCustomer;

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID int4 not null,
  customerWishListID int4,
  productID int4,
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean', 
  primary key (customerWishListProductID)
);

alter table sscCustomerWishListProduct add constraint FKCWLPCWL foreign key (customerWishListID) references sscCustomerWishList;
alter table sscCustomerWishListProduct add constraint FKCWLPP foreign key (productID) references sscProduct;

CREATE TABLE sscRequestLog (
  requestLogID int4 not null,
  orderID int4,
  orderNumber int4,
  customerID int4,
  customerUserName varchar(100),
  administratorID int4,
  administratorUserName varchar(100),
  sessionID varchar(100),
  ipAddress varchar(255),
  userAgent varchar(255),
  servletPath varchar(255),
  requestURL varchar(255),
  requestParameters text,
  referrer varchar(255),
  isAdminRequest bool not null default false,
  created varchar(100),
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  primary key (requestLogID)
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_administratorUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);

alter table sscDiscount add constraint FKDOI foreign key (orderItemID) references sscOrderItem ON DELETE SET NULL;
