<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsSessionManagement.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use this form to control several ways in which your user's sessions are handled. 
	Please note that additional settings related to saving carts and auto logins 
	are available on the <a href="<c:out value="${settings.map.administratorURL}"/>/SettingsCustomerAccount.do">Customer Account Settings</a> screen.
</div>

<br/>

<html:form action="/SettingsProcessSessionManagement" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="SESSION">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsSessionManagementEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="notes">
	<h3 class="administratorSubhead">Technical Notes</h3>
	<ul class="notesList">
		<li class="note">
			<p>SoftSlate Commerce requires session cookies to be enabled in user's browsers.
			Session cookies are destroyed at the end of each browser session, or after a certain period of inactivity (by default 20 minutes in Apache Tomcat).
			Persistent cookies, those which survive browser restarts, are not required, except in support of the above "Automatically Save Last Cart" 
			and "Auto Login" features. They are not required for customers to use any other features of the application.</p>
		</li>
	</ul>
</div>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Increase the default session timeout with Apache Tomcat">
				<p>To increase the length of user sessions in Apache Tomcat, add this snippet to the web.xml file,
				immediately after the &lt;servlet-mapping&gt; section:</p>
<pre>
	  &lt;!-- Session timeout in minutes --&gt;
	  &lt;session-config&gt;
		&lt;session-timeout&gt;60&lt;/session-timeout&gt;
	  &lt;/session-config&gt;
	  
</pre>
				<p>The web.xml file is not overwritten when installing upgrades, so modifying it is safe.
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsSessionManagement.jsp -->
