<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsThemes.jsp -->

<div class="important">
	<p>The themes feature only applies to the default-xhtml layout.</p>
</div>

<br/>

<div class="instructions">
	<p>Use this form to choose the look-and-feel theme for your store. 
	Each theme provides a separate design for the store's header, footer, and navigation including fonts, colors, and layout.</p>
</div>

<br/>

<html:form action="/SettingsProcessThemes" method="post">
	<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
		<c:if test="${settingRow.type eq 'THEMES'}">
				<c:set var="setting" value="${settingRow}" scope="request"/>
			<c:choose>
				<c:when test="${setting.code eq 'cssTheme'}">
					<c:set var="otherTheme" value=""/>
					<c:if test="${!empty setting.smallValue 
						and setting.smallValue ne 'classic'
						and setting.smallValue ne 'contemporary'
						and setting.smallValue ne 'orangecrush'
						and setting.smallValue ne 'yowza'}">
						<c:set var="otherTheme" value="${setting.smallValue}"/>
					</c:if>
<table id="themesTable">
	<tr>
		<td>
			<input id="base" type="radio" name="<c:out value="${setting.code}"/>" value="" <c:if test="${empty setting.smallValue}">checked="checked"</c:if>/>
			<label for="base">Basic</label><br/>
			<label for="base"><img src="images/baseThemeThumb.gif" alt="Base Theme Thumbnail"/></label><br/>
			<a class="popup" onclick="window.open('images/baseTheme.gif','_blank','height=400,width=525,scrollbars=yes'); return false;" target="_blank" href="images/baseTheme.gif">Zoom</a>
		</td>
		<td>
			<input id="classic" type="radio" name="<c:out value="${setting.code}"/>" value="classic" <c:if test="${setting.smallValue eq 'classic'}">checked="checked"</c:if> />
			<label for="classic">Classic</label><br/>
			<label for="classic"><img src="images/classicThemeThumb.gif" alt="Classic Theme Thumbnail"/></label><br/>
			<a class="popup" onclick="window.open('images/classicTheme.gif','_blank','height=400,width=525,scrollbars=yes'); return false;" target="_blank" href="images/classicTheme.gif">Zoom</a>
		</td>
		<td>
			<input id="contemporary" type="radio" name="<c:out value="${setting.code}"/>" value="contemporary" <c:if test="${setting.smallValue eq 'contemporary'}">checked="checked"</c:if> />
			<label for="contemporary">Contemporary</label><br/>
			<label for="contemporary"><img src="images/contemporaryThemeThumb.gif" alt="Contemporary Theme Thumbnail"/></label><br/>
			<a class="popup" onclick="window.open('images/contemporaryTheme.gif','_blank','height=400,width=525,scrollbars=yes'); return false;" target="_blank" href="images/contemporaryTheme.gif">Zoom</a>
		</td>
	</tr>
	<tr>
		<td>
			<input id="orangecrush" type="radio" name="<c:out value="${setting.code}"/>" value="orangecrush" <c:if test="${setting.smallValue eq 'orangecrush'}">checked="checked"</c:if> />
			<label for="orangecrush">Orange Crush</label><br/>
			<label for="orangecrush"><img src="images/orangecrushThemeThumb.gif" alt="Orangecrush Theme Thumbnail"/></label><br/>
			<a class="popup" onclick="window.open('images/orangecrushTheme.gif','_blank','height=400,width=525,scrollbars=yes'); return false;" target="_blank" href="images/orangecrushTheme.gif">Zoom</a>
		</td>
		<td>
			<input id="yowza" type="radio" name="<c:out value="${setting.code}"/>" value="yowza" <c:if test="${setting.smallValue eq 'yowza'}">checked="checked"</c:if> />
			<label for="yowza">Yowza!</label><br/>
			<label for="yowza"><img src="images/yowzaThemeThumb.gif" alt="Yowza Theme Thumbnail"/></label><br/>
			<a class="popup" onclick="window.open('images/yowzaTheme.gif','_blank','height=400,width=525,scrollbars=yes'); return false;" target="_blank" href="images/yowzaTheme.gif">Zoom</a>
		</td>
		<td>
			<input id="Other" type="radio" name="<c:out value="${setting.code}"/>" value="Other" <c:if test="${otherTheme ne ''}">checked="checked"</c:if> />
			<label for="Other">Other:</label>
			<br/>
			<input type="text" size="20" maxlength="255" name="otherCSSTheme" value="<c:out value="${otherTheme}"/>"/>
		</td>
	</tr>
</table>
				 	<br/>
				 	<br/>
				</c:when>
				<c:otherwise>
					<table class="settingsTable">
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</table>
				</c:otherwise>
			</c:choose>
		</c:if>
	</logic:iterate>
	<logic:present role="superuser,administrator,settingsEdit,settingsThemesEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a href="SettingsStoreLogo.do">Store Logo Upload form</a></li>
		<li><a href="SettingsGeneralDisplay.do">General Display Settings</a></li>
	</ul>
</div>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Apply my own logo, font, and colors on top of one of these themes">
				<p>You may upload your own logo for the store by using the <a href="SettingsStoreLogo.do">Store Logo Upload form</a>.
				When you upload a logo, it will appear in the header of all the store pages, and it will not otherwise affect the store's theme.
				If no logo has been uploaded, the store's name appears instead.</p>
				<p>In addition to the theme and logo, you can customize several key colors and the font used by the store with the
				<a href="SettingsGeneralDisplay.do">General Display Settings</a> form.
				When you define these fonts and colors, they are applied on top of the theme you choose, replacing the theme's default
				colors and font.
				It's a good way to apply your own branding to the store while still leverage the basic look and feel of the theme you choose.</p> 
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize one of these themes using CSS">
				<p>Each of the themes corresponds to a Cascading Stylesheet (CSS) in the /css directory.
				You can customize the CSS style definitions with the custom.css file in the /css/custom directory.
				Use that file to add new style definitions or override those of the themes, and they will be incorporated automatically.
				Editing custom.css will not affect future store upgrades. Upgrades will not overwrite that file.</p>
				<p>Note that all of the store themes extend the base theme's style definitions as defined in the /css/base/base.css stylesheet.</p>
				<p>For full details, please visit the <a href="http://www.softslate.com/documentation/html/cssThemes.html">CSS Themes section</a> of the User Guide.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Create a new layout for the store using JSP">
				<p>For complete control over your store's look and feel, you may create custom versions of each of the JSP templates used by the store.
				Visit the chapter on <a href="http://www.softslate.com/documentation/html/creatingCustomLayout.html">Creating a Custom Layout</a> of the User Guide for full details.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Show different layouts to different visitors">
				<p>For even more flexibility with your store's look and feel, you can create multiple layouts and show different ones to 
				different users based on the value of the URL parameter named "layout". </p>
				<p>For full details, visit the chapter on <a href="http://www.softslate.com/documentation/html/multipleCustomLayouts.html">Multiple Custom Layouts</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsThemes.jsp -->
