<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsTracking.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to insert third-party statistical tracking code that will be included in the HTML source of the store pages.
</div>

<br/>

<html:form action="/SettingsProcessTracking" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="TRACKING">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsTrackingEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Integrate with Google Analytics">
				<p>To integrate with Google Analytics, you must first establish a Google Analytics account at <a href="https://www.google.com/analytics">www.google.com/analytics</a>.
				When you do, find Google's "Tracking Code" by clicking "Analytics Settings" and then "Check Status".
				Paste the snippet of tracking code into the "Google Analytics Tracking Code" field above.
				SoftSlate Commerce will also interface with Google Analytics' ecommerce tracking features.
				To enable this, in your Google Analytics account, click "Analytics Settings" and then click the Edit link for Main Website Profile Information.
				On the next screen indicate that your site is an Ecommerce Website. 
				Within SoftSlate Commerce, on the Thank You screen as each order is completed, the appropriate tracking code will be generated to indicate to the Google the amount of the sale and other information about the order.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsTracking.jsp -->
