<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to Google Checkout.
</div>

<br/>

<html:form action="/SettingsProcessGoogleCheckout" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="googleCheckout">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'googleCheckoutEnvironment'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
											<select name="googleCheckoutEnvironment">
												<option value="Sandbox" <logic:match name="setting" property="mediumValue" value="Sandbox">selected="selected"</logic:match>>Sandbox</option>
												<option value="Production" <logic:match name="setting" property="mediumValue" value="Production">selected="selected"</logic:match>>Production (Live)</option>
											</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'googleCheckoutButtonSize'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting">Select Button Size:</td>
							<td class="value">
								<input type="radio" name="googleCheckoutButtonSize" value="large" <logic:equal name="setting" property="mediumValue" value="large">checked="checked"</logic:equal>> Large - 180x46
								<br/>
								<input type="radio" name="googleCheckoutButtonSize" value="medium" <logic:equal name="setting" property="mediumValue" value="medium">checked="checked"</logic:equal>> Medium - 168x44
								<br/>
								<input type="radio" name="googleCheckoutButtonSize" value="small" <logic:equal name="setting" property="mediumValue" value="small">checked="checked"</logic:equal>> Small - 160x43
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td colspan="2" style="text-align: center">
								<img src="http://checkout.google.com/seller/images/checkout_buttons.gif" alt="Google Checkout buttons">
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'googleCheckoutButtonBackGround'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting">Button Background Color:</td>
							<td class="value">
								<table>
								  <tr>
								    <td style="padding-left:40px"><input type="radio" name="googleCheckoutButtonBackGround" value="white" <logic:equal name="setting" property="mediumValue" value="white">checked="checked"</logic:equal>>White<br></td>
								  </tr>
								  <tr>
								    <td style="padding-left:40px"><input type="radio" name="googleCheckoutButtonBackGround" value="trans" <logic:equal name="setting" property="mediumValue" value="trans">checked="checked"</logic:equal>>Colored<br><br></td>
								  </tr>
								</table>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Account with Google Checkout">
				<p>To enable Google Checkout, you must establish an account with them. 
				Visit <a href="http://checkout.google.com" target="_blank">http://checkout.google.com</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>

<div class="notes">
	<h3 class="administratorSubhead">Notes</h3>
	<ul class="notesList">
		<li class="note">
			The API Callback URL for this store is: <strong><c:out value="${settings.map.customerSecureURL}"/>/GoogleCallback.do</strong>
			<br/>
			Merchants need to enter this URL in the Google Checkout Settings -> Integration screen, under API callback URL. 
			For the Callback Method, select XML.
		</li>
	</ul>
</div>
