// ////////////////////////////////////////////////////////////////////////////////////////
// The edit billing tool is triggered from the order overview screen, namely orderOverview.jsp. 
// The tool is triggered by clicking the Edit link next to the billing information.

YAHOO.namespace("editBilling");
	
// Shared Ajax connection methods
YAHOO.editBilling.failure = function(o) {
	YAHOO.editBilling.editBillingModule.setBody(o.status + ': ' + o.statusText);
	YAHOO.editBilling.editBillingResultsModule.setBody("");
}
YAHOO.editBilling.editBillingArgs = ['foo','bar'];

// Initialization - run when the DOM is first loaded and after successful processing
YAHOO.editBilling.initialize = function() {

	// Set up modules
	YAHOO.editBilling.editBillingModule = new YAHOO.widget.Module("editBillingModule");
	YAHOO.editBilling.editBillingResultsModule = new YAHOO.widget.Module("editBillingResultsModule");

	// Set up listeners (the product select box also has its own listener, defined when it is loaded)
	YAHOO.util.Event.addListener("editBillingA", "click", YAHOO.editBilling.showEditBillingForm);
	YAHOO.util.Event.addListener("editBillingForm", "submit", YAHOO.editBilling.submitProcessEditBilling);
}

// Step one - clicking the "Edit" link - load up the order and display the form
YAHOO.editBilling.clearPrompt = function(o) {
	if (o != null) {
		o.value = "";
		YAHOO.util.Dom.removeClass(o, "prompt");
		YAHOO.util.Event.removeListener(o, "focus");
	}
}
YAHOO.editBilling.clearPromptCallback = function(e, id) {
	YAHOO.editBilling.clearPrompt(YAHOO.util.Dom.get(id));
}
YAHOO.editBilling.clearAllPrompts = function() {
	var prompts = YAHOO.util.Dom.getElementsByClassName("prompt", "input", "editBillingModule");
	for (key in prompts) {
		YAHOO.editBilling.clearPrompt(prompts[key]);
	}
}
YAHOO.editBilling.addPrompt = function(id, label) {
	if (YAHOO.util.Dom.get(id) != null && YAHOO.util.Dom.get(id).value == '') {
		YAHOO.util.Dom.addClass(YAHOO.util.Dom.get(id), "prompt");
		YAHOO.util.Dom.get(id).value = label;
		YAHOO.util.Event.addListener(id, "focus", YAHOO.editBilling.clearPromptCallback, id);
	}
}
YAHOO.editBilling.addAllPrompts = function() {
	var promptables = YAHOO.util.Dom.getElementsByClassName("promptable", "input", "editBillingModule");
	for (key in promptables) {
		var thisId = YAHOO.util.Dom.generateId(promptables[key]);
		YAHOO.editBilling.addPrompt(thisId, thisId);
	}
}
YAHOO.editBilling.loadOrderSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.editBilling.editBillingModule.setBody(o.responseText);
		
		// Add prompts for all empty fields
		YAHOO.editBilling.addAllPrompts();
	}
};
YAHOO.editBilling.loadOrderCallback = {
  success:YAHOO.editBilling.loadOrderSuccess,
  failure:YAHOO.editBilling.failure,
  argument:YAHOO.editBilling.editBillingArgs
};
YAHOO.editBilling.showEditBillingForm = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.editBilling.editBillingModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.editBilling.editBillingResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("editBillingForm"));
	YAHOO.editBilling.transaction = YAHOO.util.Connect.asyncRequest('GET', 
		'LoadOrder.do', 
		YAHOO.editBilling.loadOrderCallback, 
		null);
}

// Step two - updating the billing information
YAHOO.editBilling.processEditBillingSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so the Edit link works again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Application error
		YAHOO.editBilling.editBillingModule.setBody(o.responseText);
		YAHOO.editBilling.editBillingResultsModule.setBody("");
	}
};
YAHOO.editBilling.processEditBillingCallback = {
  success:YAHOO.editBilling.processEditBillingSuccess,
  failure:YAHOO.editBilling.failure,
  argument:YAHOO.editBilling.editBillingArgs
};
YAHOO.editBilling.submitProcessEditBilling = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.editBilling.editBillingResultsModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.editBilling.clearAllPrompts();
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("editBillingForm"));
	YAHOO.editBilling.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'EditBillingProcess.do', 
		YAHOO.editBilling.processEditBillingCallback);
}
